Summary:	Simple tool to split and merge PDF files
Summary(de):	Einfaches Werkzeug zum Aufteilen und Zusammenfügen von PDF-Dateien
Name:		pdfsam
Version:	2.2.4
Release:	%mkrel 2
Source0:	%{name}-%{version}.tar.xz
License:	GPL v2
Group:		Office
BuildRoot:	%{_tmppath}/%{name}-%{version}-%{release}-buildroot
BuildArch:	noarch
URL:		http://www.pdfsam.org/
Requires: java-1.8.0-sun

%description
pdfsam basic is a simple tool designed to split and merge pdf files. 
It’s very simple, stable and completely free. It should cover most of 
your needs. With it’s simple and intuitive interface you can:

* split your pdf documents (into chapters, single pages, etc.).
* merge many pdf documents or subsections of them.
* extract sections of your document into a single pdf document.
* mix alternate pages taken from two pdf documents in straight 
  or reverse order into a single document.
* rotate pages of the selected pdf documents.
* visually reorder pages of a selected pdf document.
* visually compose a document dragging pages from selected pdf documents.
* save and load your environment to automatize your recurrent jobs.
* manage pdfsam settings and set an environment to load at start up.

Basic version is free and you can download and simply use it on every 
platform with a Java support.

%description -l de
pdfsam basic ist ein einfaches Werkzeug zum Aufteilen und Zusammenfügen
von PDF-Dateien. Es ist sehr einfach, stabil und ganzlich frei. Es sollte
die meisten Ihrer Bedürfnisse abdecken. Mit dem einfachen und intuitiven
Benutzerinterface können Sie:

* PDF-Dokument aufteilen (in Kapitel, einzelne Seiten, etc.)
* viele PDF-Dokumente oder Unterbereiche von ihnen zusammenfügen
* Bereiche Ihres Dokuments in ein einzelnes Dokument extrahieren
* Seiten eines PDF-Dokuments drehen
* Seiten neu sortieren
* eine PDF-Dokument aus mehreren zusammenziehen
* speicher und laden Ihrer Einstellungen zum Automatisieren von
  Aufgaben
* die Einstellungen von pdfsam verwalten

Die Basisversion ist frei und Sie können das Programm auf jeder Plattform
benutzen, die Java unterstützt.

%prep
%setup -q

%install
install -d 644 %{buildroot}%{_datadir}/%{name}
install -d 644 %{buildroot}%{_docdir}/%{name}
install -d 644 %{buildroot}%{_datadir}/pixmaps
cp -R bin %{buildroot}%{_datadir}/%{name}
cp -R ext %{buildroot}%{_datadir}/%{name}
cp -R lib %{buildroot}%{_datadir}/%{name}
cp -R plugins %{buildroot}%{_datadir}/%{name}
cp %{name}-%{version}.jar %{buildroot}%{_datadir}/%{name}
cp %{name}-config.xml %{buildroot}%{_datadir}/%{name}
cp doc/icons/%{name}_basic.png %{buildroot}%{_datadir}/pixmaps

cp -R doc/* %{buildroot}%{_docdir}/%{name}

# create desktop file
mkdir -p %{buildroot}%{_datadir}/applications
cat > %{buildroot}%{_datadir}/applications/%{name}.desktop << EOF
[Desktop Entry]
Encoding=UTF-8
Name=PDFsam
GenericName=PDFsam
Comment=Split and merge PDF files
Comment[de]=PDF-Dateien aufteilen und zusammenfügen
Exec=%{name}
Icon=%{name}_basic.png
Terminal=false
Type=Application
StartupNotify=false
Categories=Office;X-MandrivaLinux-System-FileTools;
MimeType=application/pdf;
EOF

# create starter
mkdir -p 644 %{buildroot}%{_bindir}
cat > %{buildroot}%{_bindir}/%{name} << EOF
#! /bin/sh

cd %{_datadir}/%{name}
java -jar %{name}-%{version}.jar

exit 0
EOF

chmod +x %{buildroot}%{_bindir}/%{name}

%files
%{_docdir}/%{name}
%{_bindir}/%{name}
%{_datadir}/applications/%{name}.desktop
%{_datadir}/%{name}
%{_datadir}/pixmaps

%changelog
* Tue Apr 07 2015 bb <bb> 2.2.4-2pclos2015
- fixed java dependency

* Sun Jul 13 2014 ghostbunny <ghostbunny at gmx dot de> 2.2.4-1pclos2014
- 2.2.4

* Thu Nov 15 2012 ghostbunny <hmhaase at pclinuxosusers dot de> 2.2.2-1pclos2012
- 2.2.2

* Tue Oct 16 2012 Neal <nealbrks0 at gmail dot com> 2.2.1-1pclos2012
- process

* Tue Oct 16 2012 ghostbunny <hmhaase at pclinuxosusers dot de> 2.2.1-1pclos2012
- initial package for pclos
